Class | Bio::DB
In: | lib/bio/db.rb
Parent: | Object

### Methods

entry_id exists? fetch get open tags

### Public Class methods

open(filename, *mode, &block)

[Source]

         # File lib/bio/db.rb, line 156
    156:   def self.open(filename, *mode, &block)
    157:     Bio::FlatFile.open(self, filename, *mode, &block)
    158:   end

### Public Instance methods

entry_id()

Returns an entry identifier as a String. This method must be implemented in every database classes by overriding this method.

[Source]

         # File lib/bio/db.rb, line 162
    162:   def entry_id
    163:     raise NotImplementedError
    164:   end

exists?(tag)

Returns true or false - wether the entry contains the field of the given tag name.

[Source]

         # File lib/bio/db.rb, line 173
    173:   def exists?(tag)
    174:     @orig.include?(tag)
    175:   end

fetch(tag, skip = 0)

Similar to the get method, however, fetch returns the content of the field without its tag and any extra white spaces stripped.

[Source]

         # File lib/bio/db.rb, line 184
    184:   def fetch(tag, skip = 0)
    185:     field = @orig[tag].split(/\n/, skip + 1).last.to_s
    186:     truncate(field.gsub(/^.{0,#{@tagsize}}/,''))
    187:   end

get(tag)

Returns an intact field of the tag as a String.

[Source]

         # File lib/bio/db.rb, line 178
    178:   def get(tag)
    179:     @orig[tag]
    180:   end

tags()

Returns a list of the top level tags of the entry as an Array of String.

[Source]

         # File lib/bio/db.rb, line 167
    167:   def tags
    168:     @orig.keys
    169:   end

[Validate]